function [x,y,z] = sph2cart(r,t,f)
% SPH2CART converts spherical coordinates to cartesian
%   [R,T,F] = CART2SPH(X,Y,Z) Converts the spherical <R,T,D> coordinates to
%   cartesian <X,Y,Z> coordinates, where R is the radial distance, T is the
%   latitude/elevation angle (in radians), and F is the longitude/azimuth angle
%   (also in radians). R,T,F can be any size, but must be the same size or
%   scalar.
%------------------------------------------------------------------------------%
%
%   Version 1.0  Date: 2016/02/05
%
%   Copyright 2016 Aaron Hendry <aaron@hendry.co.nz>
%   Otago University Space Physics Department, Dunedin, New Zealand
%       <http://www.physics.otago.ac.nz/space>
%   Released under the Simplified BSD License:
%       <http://opensource.org/licenses/BSD-2-Clause>
%
%------------------------------------------------------------------------------%

sq = r.*sin(t);
x = sq.*cos(f);
y = sq.*sin(f);
z = r.*cos(t);